<!--

Copyright 2021 Orange.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

 -->

<div class="col-md-8 py-5 px-3 mx-auto">
    <header class="pb-3 mb-5 border-bottom">
    <h1>ClusterDef {{clusterdef}} </h1>
    </header>
    <div>
    <ul class="list-group">
        <li class="list-group-item"><b>Cluster Name: </b> {{cluster}}</li>
        <li class="list-group-item"><b>Global State:</b> {{state}}</li>
        <li class="list-group-item"><b>Kubeconfig:</b> <a href="{{clusterdef}}/kubeconfig">kubeconfig</a></li>
    </ul>
    </div>
    <br>
    <div>
    <table class="table table-hover">
        <thead class="thead-dark">
        <tr>
            <th scope="col"> Kind </th>
            <th scope="col"> Requested </th>
            <th scope="col"> Deployed </th>
            <th scope="col"> Ready </th>
        </tr>
        </thead>
        <tbody>
        <tr class="table-primary">
            <th scope="row">Control-Plane</td>
            <td>{{replicas.kcp.requested}}</td>
            <td>{{replicas.kcp.launched}}</td>
            <td>{{replicas.kcp.ready}}</td>
        </tr>
        {{#each replicas.deployments}}
        <tr>
            <th scope="row">{{@key}}</td>
            <td>{{requested}}</td>
            <td>{{launched}}</td>
            <td>{{ready}}</td>
        </tr>
        {{/each}}
        </tbody>
    </table>
    </div>
    <div>
    <table class="table table-hover">
        <thead class="thead-dark">
        <tr>
            <th scope="col"> Node </th>
            <th scope="col"> Kubelet </th>
            <th scope="col"> Runtine </th>
            <th scope="col"> OS </th>
            <th scope="col"> Kernel </th>
            <th scope="col"> Status </th>
        </tr>
        </thead>
        <tbody>
        <tr class="table-primary">
            <td colspan="6">Control-plane</td>
        </tr>
        {{#each nodes.kcp}}
        <tr>
            <td>{{name}}</td>
            <td>{{kubelet}}</td>
            <td>{{runtime}}</td>
            <td>{{image}}</td>
            <td>{{kernel}}</td>
            <td>{{#if ready}}<span class="badge bg-success">Ready</span>
                {{else}}<span class="badge bg-danger">NotReady</span>
                {{/if}}
                {{#each pressure}}
                <span class="badge bg-danger">{{this}}</span>
                {{/each}}
            </td>
        </tr>
        {{/each}}
        {{#each nodes.deployments}}
        <tr class="table-primary">
            <td colspan="6">{{@key}}</td>
        </tr>
        {{#each this}}
        <tr>
            <td>{{name}}</td>
            <td>{{kubelet}}</td>
            <td>{{runtime}}</td>
            <td>{{image}}</td>
            <td>{{kernel}}</td>
            <td>{{#if ready}}<span class="badge bg-success">Ready</span>
                {{else}}<span class="badge bg-danger">NotReady</span>
                {{/if}}
                {{#each pressure}}
                <span class="badge bg-danger">{{this}}</span>
                {{/each}}
            </td>
        </tr>
        {{/each}}
        {{/each}}
        </tbody>
    </table>
    </div>
</div>

